## golang 1.5~rc1

=== debian/changelog ===
golang (2:1.5~rc1-0ubuntu1) wily; urgency=low

  [ Tianon Gravi ]
  * Upload to experimental.
  * Update to 1.5rc1 upstream release.
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)

  [ Michael Hudson-Doyle ]
  * Update GO{HOST,}ARCH computation
  * Breaks/Replaces: older golang-golang-x-tools 
  * Two patches:
    - correct ELF header on armhf
    - disable duffzero on ppc64el

  [ Mathieu Trudel-Lapierre ]
  * debian/copyright: updated copyright file to fix some lintian warnings.
  * debian/source/lintian-overrides: silence some extra source-missing false
    positives.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 18 Aug 2015 16:05:37 +1200

golang (2:1.4.2-3ubuntu2) wily; urgency=medium

  * Fix installation of fake golang-go package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 May 2015 12:54:55 +0200

golang (2:1.4.2-3ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build empty golang-go and golang-src packages on architectures
      without golang support, and depend on gccgo instead.
    - golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/copyright: Amendments for full compliance with copyright format.
  * Remove generated override files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 May 2015 15:05:11 +0200

=== debian/control ===
Source: golang
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Tianon Gravi <admwiggin@gmail.com>
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase,
               golang (>= 1:1.4~) | gccgo-5
Build-Depends-Indep: po-debconf
Standards-Version: 3.9.6
Homepage: https://golang.org

Package: golang-go
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
        golang-src (>= ${source:Version}),
        gccgo [!armel !armhf !amd64 !i386 !arm64 !ppc64el]
Breaks: golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
Replaces: golang-go-darwin-386,
          golang-go-darwin-amd64,
          golang-go-freebsd-386,
          golang-go-freebsd-amd64,
          golang-go-freebsd-arm,
          golang-go-linux-386,
          golang-go-linux-amd64,
          golang-go-linux-arm,
          golang-go-netbsd-386,
          golang-go-netbsd-amd64,
          golang-go-windows-386,
          golang-go-windows-amd64,
          golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
Suggests: bzr, git, golang-go.tools, mercurial, subversion
Description: Go programming language compiler, linker, compiled stdlib
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides an assembler, compiler, linker, and compiled libraries
 for the Go programming language.
 .
 Go supports cross-compilation, but as of Go 1.5, it is no longer necessary to
 pre-compile the standard library inside GOROOT for cross-compilation to work.

Package: golang-src
Replaces: golang-go (<< 2:1-3~)
Breaks: golang-go (<< 2:1-3~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Go programming language - source files
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides the Go programming language source files needed for
 cross-compilation.

Package: golang-doc
Depends: ${misc:Depends}, golang-go
Architecture: all
Section: doc
Description: Go programming language - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language. You can view the formatted documentation by running "godoc
 --http=:6060", and then visiting http://localhost:6060/doc/install.html.

Package: golang
Depends: ${misc:Depends},
	 golang-go (>= ${source:Version}),
	 golang-src (>= ${source:Version}),
	 golang-doc (>= ${source:Version})
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

libexecdir := /usr/lib/go
datadir := /usr/share/go
bindir := /bin

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
golang_archs = armel armhf amd64 i386 arm64 ppc64el

build-arch build-indep build clean install binary-arch binary-indep binary: debian/control
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	rm -rf bin pkg
	rm -f debian/*+
	rm -f debian/build.stamp
	rm -f test/pass.out test/run.out test/times.out
	rm -rf debian/home

override_dh_auto_build: debian/build.stamp

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
ifeq ($(RUN_TEST), true)
	cd $(CURDIR)/src && \
	$(CURDIR)/debian/test.bash
else
	:
endif
endif

override_dh_compress:
	dh_compress -Xusr/share/doc/golang-doc/html -Xusr/share/doc/golang-doc/godoc

override_dh_install:
ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
	# Install the native runtime/cgo.a to the golang-go package.
	# runtime/cgo is only built for the native architecture, but the
	# golang-go-OS-ARCH packages are built on one particular buildd, which
	# might either be i386 or amd64.
	echo "listing of $$(pwd):"; ls -hlR .
	echo "listing of GOBIN: ($(GOBIN))"; ls -hlR $(GOBIN)
	for file in pkg/*/runtime/cgo.a; do \
		mkdir -p $(CURDIR)/debian/golang-go/usr/lib/go/$$(dirname $$file); \
		mv $$file $(CURDIR)/debian/golang-go/usr/lib/go/$$file; \
	done
	dh_install --fail-missing
	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
	find $(CURDIR)/debian/golang-src/usr/share/go/src/runtime/race -type f -name '*.syso' -delete
	# Remove Plan9 rc(1) scripts
	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name "*.rc" -delete
	# Remove empty /usr/share/go/src from golang-go, it is provided by golang-src
	find $(CURDIR)/debian/golang-go/usr/share/go/src -type d -delete
	# Touch built and installed files and directories to have same timestamp
	touch $(CURDIR)/debian/golang-go/usr/lib/go/pkg
	find $(CURDIR)/debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;
endif

override_dh_strip:
	# strip disabled as golang upstream doesn't support it and it makes go
	# crash. See http://bugs.debian.org/717172

override_dh_installdeb:
	dh_installdeb
ifeq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
	: # these are empty dependency packages
	rm -f debian/golang-go/DEBIAN/p*
	rm -rf debian/golang-go/usr/share/man
	install -d -m 755 debian/golang-src/usr/share/go/src
	install -d -m 755 debian/golang-src/usr/share/go/include
	install -d -m 755 debian/golang-src/usr/share/go/test
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_shlibdeps:
	dh_shlibdeps -Xtestdata -Xtest

debian/build.stamp:
ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
	rm -f debian/build.stamp
	mkdir -p $(GOBIN)
	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) && cd src && bash ./make.bash --no-banner
	>debian/build.stamp
else
	touch debian/build.stamp
endif

opt_no_act =
RUN_TEST := true

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    $(warning no support for disabling optimization)
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    RUN_TEST := false
endif

GOROOT := $(CURDIR)
GOROOT_FINAL := $(libexecdir)
GOBIN := $(CURDIR)$(bindir)
GOARM :=

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)

ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
    RUN_TEST := false
    GOHOSTOS := freebsd
else ifeq ($(DEB_BUILD_ARCH_OS), linux)
    GOHOSTOS := linux
else
    $(error unrecongized build host kernel $(DEB_BUILD_ARCH_OS)!)
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    RUN_TEST := false
    GOOS := freebsd
else ifeq ($(DEB_HOST_ARCH_OS), linux)
    GOOS := linux
else
    $(error unrecognized kernel $(DEB_HOST_ARCH_OS)!)
endif

ifeq ($(DEB_BUILD_ARCH_CPU), i386)
    GOHOSTARCH := 386
else ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
    GOHOSTARCH := amd64
else ifeq ($(DEB_BUILD_ARCH_CPU), arm)
    GOHOSTARCH := arm
else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
    GOHOSTARCH := arm
else ifeq ($(DEB_BUILD_ARCH_CPU), arm64)
    GOHOSTARCH := arm64
else ifeq ($(DEB_BUILD_ARCH_CPU), ppc64el)
    GOHOSTARCH := ppc64le
else
    #$(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
endif

ifeq ($(DEB_HOST_ARCH_CPU), i386)
    GOARCH := 386
    GOPREFIX := 8
else ifeq ($(DEB_HOST_ARCH_CPU), amd64)
    GOARCH := amd64
    GOPREFIX := 6
else ifeq ($(DEB_HOST_ARCH_CPU), arm)
    GOARCH := arm
    GOPREFIX := 5
ifeq ($(DEB_HOST_ARCH), armel)
    RUN_TEST := false
    GOARM := 5
else ifeq ($(DEB_HOST_ARCH), armhf)
    GOARM := 6
else
    $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
endif
else ifeq ($(DEB_HOST_ARCH_CPU), arm64)
    GOHOSTARCH := arm64
else ifeq ($(DEB_HOST_ARCH_CPU), ppc64el)
    GOHOSTARCH := ppc64le
else
    #$(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
endif

export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS GO386

.PHONY: build clean install binary-arch binary-indep binary

## golang 1.5.1

=== debian/changelog ===
golang (2:1.5.1-3) unstable; urgency=medium

  * Remove architecture qualification on golang-go Build-Depend now that
    golang-go is available for more architectures.

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 07:40:38 -0700

golang (2:1.5.1-2) unstable; urgency=medium

  * Add Conflicts to force newer golang-golang-x-tools (Closes: #802945).

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Oct 2015 13:28:56 -0700

golang (2:1.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update to 1.5.1 upstream release (see notes from experimental uploads for
    what's changed).
  * Skip tests on architectures where the tests fail.

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 10:22:02 -0700

golang (2:1.5.1-1~exp2) experimental; urgency=medium

  * Upload to experimental.
  * Add arch-qualifiers to "golang-go" build-depends to unblock the buildds
    (Closes: #800479); thanks Tim!

 -- Tianon Gravi <tianon@debian.org>  Wed, 30 Sep 2015 11:19:26 -0700

golang (2:1.5.1-1~exp1) experimental; urgency=low

  * Upload to experimental.
  * Update to 1.5.1 upstream release (Closes: #796150).
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)
  * Remove patches that no longer apply.
  * Add more supported arches to "debian/rules" code for detecting
    appropriate GOARCH/GOHOSTARCH values; thanks mwhudson and tpot!
    (Closes: #799907)
  * Refactor "debian/rules" to utilize debhelper more effectively, especially
    for arch vs indep building.
  * Move "dpkg-architecture" to "GOOS"/"GOARCH" code into a simple shell script
    for easier maintenance.

 -- Tianon Gravi <tianon@debian.org>  Fri, 25 Sep 2015 14:36:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Tianon Gravi <admwiggin@gmail.com>
+           Tianon Gravi <tianon@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
-Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase,
-               golang (>= 1:1.4~) | gccgo-5
-Build-Depends-Indep: po-debconf
+Build-Depends: bison,
+               debhelper (>= 7.4.10),
+               ed,
+               golang-go (>= 2:1.4.2-2~) | gccgo-5,
+               mawk | awk,
+               netbase,
+               perl
 Standards-Version: 3.9.6
 Homepage: https://golang.org
 
 Package: golang-go
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
-        golang-src (>= ${source:Version}),
-        gccgo [!armel !armhf !amd64 !i386 !arm64 !ppc64el]
-Breaks: golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Depends: golang-src (>= ${source:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -31,9 +34,15 @@
           golang-go-netbsd-386,
           golang-go-netbsd-amd64,
           golang-go-windows-386,
-          golang-go-windows-amd64,
-          golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
-Suggests: bzr, git, golang-go.tools, mercurial, subversion
+          golang-go-windows-amd64
+Conflicts: golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+Recommends: g++, gcc, libc6-dev, pkg-config
+Suggests: bzr,
+          ca-certificates,
+          git,
+          golang-golang-x-tools,
+          mercurial,
+          subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -51,10 +60,8 @@
  pre-compile the standard library inside GOROOT for cross-compilation to work.
 
 Package: golang-src
-Replaces: golang-go (<< 2:1-3~)
-Breaks: golang-go (<< 2:1-3~)
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -69,7 +76,7 @@
  cross-compilation.
 
 Package: golang-doc
-Depends: ${misc:Depends}, golang-go
+Depends: golang-go, ${misc:Depends}
 Architecture: all
 Section: doc
 Description: Go programming language - documentation
@@ -88,10 +95,10 @@
  --http=:6060", and then visiting http://localhost:6060/doc/install.html.
 
 Package: golang
-Depends: ${misc:Depends},
-	 golang-go (>= ${source:Version}),
-	 golang-src (>= ${source:Version}),
-	 golang-doc (>= ${source:Version})
+Depends: golang-doc (>= ${source:Version}),
+         golang-go (>= ${source:Version}),
+         golang-src (>= ${source:Version}),
+         ${misc:Depends}
 Architecture: all
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

export GOROOT := $(CURDIR)
export GOROOT_FINAL := /usr/lib/go

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
RUN_TESTS := true
ifeq (ppc64, $(DEB_HOST_ARCH_CPU))
	RUN_TESTS := false
endif

%:
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	# remove autogenerated files
	rm -f \
		src/cmd/cgo/zdefaultcc.go \
		src/cmd/go/zdefaultcc.go \
		src/cmd/internal/obj/zbootstrap.go \
		src/runtime/zversion.go
	# remove built objects
	rm -rf bin pkg

override_dh_auto_test-arch:
ifeq (true, $(RUN_TESTS))
	set -ex; \
		cd src; \
		export PATH="$(GOROOT)/bin:$$PATH"; \
		eval "$$(go tool dist env)"; \
		bash run.bash --no-rebuild;
else
	# skip the tests on platforms where they fail
endif

override_dh_compress-indep:
	dh_compress -Xusr/share/doc/golang-doc/html -Xusr/share/doc/golang-doc/godoc

override_dh_install-indep:
	dh_install --fail-missing

override_dh_install-arch:
	dh_install --fail-missing
	# Remove Plan9 rc(1) scripts
	find debian/golang-src/usr/share/go/src -type f -name '*.rc' -delete
	# Remove empty /usr/share/go/src from golang-go, it is provided by golang-src
	find debian/golang-go/usr/share/go/src -type d -delete
	# Touch built and installed files and directories to have same timestamp
	touch debian/golang-go/usr/lib/go/pkg
	find debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;

override_dh_strip:
	# strip disabled as golang upstream doesn't support it and it makes go
	# crash. See http://bugs.debian.org/717172

override_dh_shlibdeps:
	dh_shlibdeps -Xtestdata -Xtest

override_dh_auto_build-arch:
	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) \
		&& cd src \
		&& $(CURDIR)/debian/helpers/goenv.sh \
			bash ./make.bash --no-banner

opt_no_act :=
ifneq (,$(findstring n,$(MAKEFLAGS)))
	opt_no_act := --no-act
endif

## golang 1.5.3

=== debian/changelog ===
golang (2:1.5.3-1) unstable; urgency=high

  * Update to 1.5.3 upstream release
    - Fix CVE-2015-8618: Carry propagation in Int.Exp Montgomery code in
      math/big library (Closes: #809168)
  * Add "Breaks" to properly complement our "Replaces" (Closes: #810595)

 -- Tianon Gravi <tianon@debian.org>  Thu, 14 Jan 2016 07:41:44 -0800

golang (2:1.5.2-1) unstable; urgency=medium

  * Update to 1.5.2 upstream release (Closes: #807136)

 -- Tianon Gravi <tianon@debian.org>  Tue, 05 Jan 2016 19:59:22 -0800

golang (2:1.5.1-4) unstable; urgency=medium

  * Add Conflicts to force newer golang-go.tools too (Closes: #803559)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Nov 2015 21:57:54 -0800

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,18 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Breaks: golang-go-darwin-386,
+        golang-go-darwin-amd64,
+        golang-go-freebsd-386,
+        golang-go-freebsd-amd64,
+        golang-go-freebsd-arm,
+        golang-go-linux-386,
+        golang-go-linux-amd64,
+        golang-go-linux-arm,
+        golang-go-netbsd-386,
+        golang-go-netbsd-amd64,
+        golang-go-windows-386,
+        golang-go-windows-amd64
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -35,7 +47,8 @@
           golang-go-netbsd-amd64,
           golang-go-windows-386,
           golang-go-windows-amd64
-Conflicts: golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+Conflicts: golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+           golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr,
           ca-certificates,

## golang 1.6

=== debian/changelog ===
golang (2:1.6-1) unstable; urgency=medium

  * Update to 1.6 upstream release (thanks Hilko!)
    - change "ar" arguments to quiet spurious warnings while using gccgo
      (Closes: #807138)
    - skip multicast listen test (Closes: #814849)
    - skip userns tests when chrooted (Closes: #807303)
    - use correct ELF header for armhf binaries (Closes: #734357)
    - Update debian/rules clean for new location of generated file.

  [ Michael Hudson-Doyle ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS while building to skip tests
    (Closes: #807290)
  * Trim Build-Depends (Closes: #807299)
  * Fix several minor debian/copyright issues (Closes: #807304)
  * Remove inconsistently included race-built packages (Closes: #807294)

  [ Tianon Gravi ]
  * Add "-k" to "run.bash" invocation so that we do a full test run every time

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Feb 2016 16:10:32 -0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,9 @@
            Tianon Gravi <tianon@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
-Build-Depends: bison,
-               debhelper (>= 7.4.10),
-               ed,
+Build-Depends: debhelper (>= 7.4.10),
                golang-go (>= 2:1.4.2-2~) | gccgo-5,
-               mawk | awk,
-               netbase,
-               perl
+               netbase
 Standards-Version: 3.9.6
 Homepage: https://golang.org

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 ifeq (ppc64, $(DEB_HOST_ARCH_CPU))
 	RUN_TESTS := false
 endif
+ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	RUN_TESTS := false
+endif
 
 %:
 	+dh --parallel $(opt_no_act) $@
@@ -20,7 +23,7 @@
 		src/cmd/cgo/zdefaultcc.go \
 		src/cmd/go/zdefaultcc.go \
 		src/cmd/internal/obj/zbootstrap.go \
-		src/runtime/zversion.go
+		src/runtime/internal/sys/zversion.go
 	# remove built objects
 	rm -rf bin pkg
 
@@ -30,7 +33,17 @@
 		cd src; \
 		export PATH="$(GOROOT)/bin:$$PATH"; \
 		eval "$$(go tool dist env)"; \
-		bash run.bash --no-rebuild;
+		bash run.bash -k -no-rebuild;
+	# -k           keep going even when error occurred
+	# -no-rebuild  don't rebuild std and cmd packages
+
+	# On linux/amd64 run.bash installs some race enabled standard library
+	# packages. Delete them again to avoid accidentally including them in
+	# the package.
+	set -ex; \
+		export PATH="$(GOROOT)/bin:$$PATH"; \
+		eval "$$(go tool dist env)"; \
+		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
 else
 	# skip the tests on platforms where they fail
 endif

## golang 1.6.1

=== debian/changelog ===
golang (2:1.6.1-2) unstable; urgency=medium

  * Don't strip testdata files, causes build failures on some platforms. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 15:47:46 -0700

golang (2:1.6.1-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
    smooth upgrades.
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it.

  [ Tianon Gravi ]
  * Update to 1.6.1 upstream release (Closes: #820369)
    - Fix CVE-2016-3959: infinite loop in several big integer routines

 -- Tianon Gravi <tianon@debian.org>  Tue, 12 Apr 2016 23:06:43 -0700

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,9 @@
         golang-go-netbsd-386,
         golang-go-netbsd-amd64,
         golang-go-windows-386,
-        golang-go-windows-amd64
+        golang-go-windows-amd64,
+        golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+        golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -42,9 +44,9 @@
           golang-go-netbsd-386,
           golang-go-netbsd-amd64,
           golang-go-windows-386,
-          golang-go-windows-amd64
-Conflicts: golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
-           golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+          golang-go-windows-amd64,
+          golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+          golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr,
           ca-certificates,

=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,7 @@
 	find debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;
 
 override_dh_strip:
-	# strip disabled as golang upstream doesn't support it and it makes go
-	# crash. See http://bugs.debian.org/717172
+	dh_strip -Xtestdata
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Xtestdata -Xtest

## golang 57.2

=== doc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../src/Make.inc

TARG=htmlgen
GOFILES=\
	htmlgen.go\

include ../src/Make.cmd

=== src/lib9/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.inc
O:=$(HOST_O)

LIB=lib9.a

NUM=\
	charstod.$O\
	pow10.$O\

# Could add fmt/errfmt, but we want to pick it up from ./errstr.c instead.
FMTOFILES=\
	dofmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlocale.$O\
	fmtlock2.$O\
	fmtnull.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	nan64.$O\
	print.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strtod.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O\
	$(NUM)\

UTFOFILES=\
	rune.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	runetype.$O\

LIB9OFILES=\
	_p9dir.$O\
	_exits.$O\
	argv0.$O\
	atoi.$O\
	cleanname.$O\
	create.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirstat.$O\
	dirwstat.$O\
	dup.$O\
	errstr.$O\
	exec.$O\
	execl.$O\
	exitcode.$O\
	exits.$O\
	getenv.$O\
	getfields.$O\
	getwd.$O\
	goos.$O\
	main.$O\
	nan.$O\
	nulldir.$O\
	open.$O\
	readn.$O\
	seek.$O\
	strecpy.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\

ifeq ($(GOHOSTOS),windows)
LIB9OFILES+=\
	win32.$O\

else
LIB9OFILES+=\
	await.$O\
	getuser.$O\
	jmp.$O\
	notify.$O\
	rfork.$O\

endif

OFILES=\
	$(LIB9OFILES)\
	$(FMTOFILES)\
	$(UTFOFILES)\

HFILES=\
	$(QUOTED_GOROOT)/include/u.h\
	$(QUOTED_GOROOT)/include/libc.h\

include ../Make.clib

GOROOT_FINAL?=$(GOROOT)

%.$O: fmt/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) -DPLAN9PORT -Ifmt $<

%.$O: utf/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) $<

goos.$O: goos.c
	$(HOST_CC) -c $(HOST_CFLAGS) -DGOOS='"$(GOOS)"' -DGOARCH='"$(GOARCH)"' -DGOROOT='"$(GOROOT_FINAL)"' -DGOVERSION='"'"$$(../version.bash)"'"' $<

=== src/pkg/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# After editing the DIRS= list or adding imports to any Go files
# in any of those directories, run:
#
#	./deps.bash
#
# to rebuild the dependency information in Make.deps.

include ../Make.inc

all: install

DIRS=\
	archive/tar\
	archive/zip\
	asn1\
	big\
	bufio\
	bytes\
	cmath\
	compress/bzip2\
	compress/flate\
	compress/gzip\
	compress/lzw \
	compress/zlib\
	container/heap\
	container/list\
	container/ring\
	container/vector\
	crypto\
	crypto/aes\
	crypto/blowfish\
	crypto/cast5\
	crypto/cipher\
	crypto/des\
	crypto/dsa\
	crypto/ecdsa\
	crypto/elliptic\
	crypto/hmac\
	crypto/md4\
	crypto/md5\
	crypto/ocsp\
	crypto/openpgp\
	crypto/openpgp/armor\
	crypto/openpgp/error\
	crypto/openpgp/packet\
	crypto/openpgp/s2k\
	crypto/rand\
	crypto/rc4\
	crypto/ripemd160\
	crypto/rsa\
	crypto/sha1\
	crypto/sha256\
	crypto/sha512\
	crypto/subtle\
	crypto/tls\
	crypto/twofish\
	crypto/x509\
	crypto/xtea\
	debug/dwarf\
	debug/macho\
	debug/elf\
	debug/gosym\
	debug/pe\
	debug/proc\
	ebnf\
	encoding/ascii85\
	encoding/base32\
	encoding/base64\
	encoding/binary\
	encoding/git85\
	encoding/hex\
	encoding/line\
	encoding/pem\
	exec\
	exp/datafmt\
	exp/draw\
	exp/draw/x11\
	exp/eval\
	expvar\
	flag\
	fmt\
	go/ast\
	go/doc\
	go/parser\
	go/printer\
	go/scanner\
	go/token\
	go/typechecker\
	go/types\
	gob\
	hash\
	hash/adler32\
	hash/crc32\
	hash/crc64\
	hash/fnv\
	html\
	http\
	http/cgi\
	http/fcgi\
	http/pprof\
	http/httptest\
	image\
	image/jpeg\
	image/png\
	image/ycbcr\
	index/suffixarray\
	io\
	io/ioutil\
	json\
	log\
	math\
	mime\
	mime/multipart\
	net\
	net/dict\
	net/textproto\
	netchan\
	os\
	os/signal\
	os/user\
	patch\
	path\
	path/filepath\
	rand\
	reflect\
	regexp\
	rpc\
	rpc/jsonrpc\
	runtime\
	runtime/cgo\
	runtime/debug\
	runtime/pprof\
	scanner\
	smtp\
	sort\
	strconv\
	strings\
	sync\
	sync/atomic\
	syscall\
	syslog\
	tabwriter\
	template\
	testing\
	testing/iotest\
	testing/quick\
	testing/script\
	time\
	try\
	unicode\
	utf16\
	utf8\
	websocket\
	xml\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gofix\
	../cmd/gofmt\
	../cmd/goinstall\
	../cmd/gotest\
	../cmd/gotype\
	../cmd/govet\
	../cmd/goyacc\
	../cmd/hgpatch\

ifeq ($(GOOS),linux)
DIRS+=\
	os/inotify\

endif

NOTEST+=\
	crypto\
	crypto/openpgp/error\
	debug/proc\
	exp/draw/x11\
	go/ast\
	go/doc\
	go/token\
	hash\
	http/pprof\
	http/httptest\
	net/dict\
	rand\
	runtime/cgo\
	syscall\
	testing\
	testing/iotest\
	try\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gotest\
	../cmd/govet\
	../cmd/goyacc\
	../cmd/hgpatch\

NOBENCH+=\
	container/vector\

# Disable tests that windows cannot run yet.
ifeq ($(GOOS),windows)
NOTEST+=os/signal    # no signals
NOTEST+=syslog       # no network
NOTEST+=time         # no syscall.Kill, syscall.SIGCHLD for sleep tests
endif

TEST=\
	$(filter-out $(NOTEST),$(DIRS))

BENCH=\
	$(filter-out $(NOBENCH),$(TEST))

clean.dirs: $(addsuffix .clean, $(DIRS))
install.dirs: $(addsuffix .install, $(DIRS))
nuke.dirs: $(addsuffix .nuke, $(DIRS))
test.dirs: $(addsuffix .test, $(TEST))
testshort.dirs: $(addsuffix .testshort, $(TEST))
bench.dirs: $(addsuffix .bench, $(BENCH))

%.clean:
	+$(MAKE) -C $* clean

%.install:
	+@echo install $*
	+@$(MAKE) -C $* install.clean >$*/build.out 2>&1 || (echo INSTALL FAIL $*; cat $*/build.out; exit 1)

%.nuke:
	+$(MAKE) -C $* nuke

%.test:
	+@echo test $*
	+@$(MAKE) -C $* test.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.testshort:
	+@echo test $*
	+@$(MAKE) -C $* testshort.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.bench:
	+$(MAKE) -C $* bench	

clean: clean.dirs

install: install.dirs

test:	test.dirs

testshort: testshort.dirs

bench:	bench.dirs ../../test/garbage.bench

nuke: nuke.dirs
	rm -rf "$(GOROOT)"/pkg/*

deps:
	./deps.bash

echo-dirs:
	@echo $(DIRS)

-include Make.deps

runtime/cgo.install: ../cmd/cgo.install

=== misc/cgo/gmp/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=gmp

# Can have plain GOFILES too, but this example doesn't.

CGOFILES=\
	gmp.go

CGO_LDFLAGS=-lgmp

# To add flags necessary for locating the library or its include files,
# set CGO_CFLAGS or CGO_LDFLAGS.  For example, to use an
# alternate installation of the library:
#	CGO_CFLAGS=-I/home/rsc/gmp32/include
#	CGO_LDFLAGS+=-L/home/rsc/gmp32/lib
# Note the += on the second line.

CLEANFILES+=pi fib

include ../../../src/Make.pkg

# Simple test programs

# Computes 1000 digits of pi; single-threaded.
pi: install pi.go
	$(GC) pi.go
	$(LD) -o $@ pi.$O

# Computes 200 Fibonacci numbers; multi-threaded.
fib: install fib.go
	$(GC) fib.go
	$(LD) -o $@ fib.$O

=== misc/cgo/life/Makefile ===
# Copyright 2010 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=life

CGOFILES=\
	life.go\

CGO_OFILES=\
	c-life.o\

CLEANFILES+=life

include ../../../src/Make.pkg

life: install main.go
	$(GC) main.go
	$(LD) -o $@ main.$O

=== misc/cgo/stdio/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=stdio
CGOFILES=\
	file.go\

CLEANFILES+=hello fib chain run.out

include ../../../src/Make.pkg

%: install %.go
	$(GC) $*.go
	$(LD) -o $@ $*.$O

=== misc/cgo/test/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=runtime/cgotest

CGOFILES=\
	align.go\
	basic.go\
	callback.go\
	issue1222.go\
	issue1328.go\
	issue1560.go\

CGO_OFILES=\
	callback_c.o\

OFILES=\
	runtime.$O\

include ../../../src/Make.pkg

=== misc/dashboard/builder/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=gobuilder
GOFILES=\
	exec.go\
	hg.go\
	http.go\
	main.go\
	package.go\

include ../../../src/Make.cmd

=== misc/swig/stdio/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=swig/file
SWIGFILES=\
	file.swig

CLEANFILES+=hello

include ../../../src/Make.pkg

%: install %.go
	$(GC) $*.go
	$(LD) $(SWIG_RPATH) -o $@ $*.$O

=== src/cmd/5g/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

TARG=5g

HFILES=\
	../gc/go.h\
	../5l/5.out.h\
	gg.h\
	opt.h\

OFILES=\
	../5l/enam.$O\
	list.$O\
	galign.$O\
	gobj.$O\
	ggen.$O\
	gsubr.$O\
	cgen.$O\
	cgen64.$O\
	cplx.$O\
	reg.$O\
	peep.$O\

LIB=\
	../gc/gc.a\

include ../../Make.ccmd

%.$O: ../gc/%.c
	$(HOST_CC) $(HOST_CFLAGS) -c -I. -o $@ ../gc/$*.c

=== src/cmd/5l/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

TARG=5l

OFILES=\
	asm.$O\
	data.$O\
	elf.$O\
	enam.$O\
	ldelf.$O\
	ldmacho.$O\
	ldpe.$O\
	lib.$O\
	list.$O\
	noop.$O\
	obj.$O\
	optab.$O\
	pass.$O\
	prof.$O\
	thumb.$O\
	softfloat.$O\
	span.$O\
	symtab.$O\
	go.$O\

HFILES=\
	l.h\
	../5l/5.out.h\
	../ld/elf.h\

include ../../Make.ccmd

enam.c: 5.out.h
	sh mkenam

CLEANFILES+=enam.c

%.$O: ../ld/%.c
	$(HOST_CC) $(HOST_CFLAGS) -c -I. ../ld/$*.c

=== src/cmd/6a/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

TARG=6a

HFILES=\
	a.h\
	y.tab.h\
	../6l/6.out.h\

OFILES=\
	y.tab.$O\
	lex.$O\
	../6l/enam.$O\

YFILES=\
	a.y\

include ../../Make.ccmd

lex.$O:	../cc/macbody ../cc/lexbody
